}

It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
high rated
Gothic 2 Gold Edition

Changelog for Update (added 20 September 2017):

- We have added cloud saves support to Gothic 2 Gold Edition.
- We have added the French, Italian, and Polish versions of Gothic 2 Gold Edition to everyone's accounts.
- We would also like to thank Lukin86 for the French version of the game and we would like to thank the OldGamesItalia.net community for the Italian version.


Gothic 3

Changelog for Update (added 20 September 2017):

- We have added cloud saves and overlay support for Gothic 3.
- We have added the Polish version of the game to everyone's accounts.


Gothic 3: Forsaken Gods Enhanced Edition

Changelog for Update (added 20 September 2017):

- We have added support for the GOG Galaxy overlay and cloud saves.
- We have also added the Polish version of Gothic 3: Forsaken Gods to everyone's accounts.
Cloud Save and Overlay, Worthless changes (personal opinion)

More languages are nice though.
Post edited September 21, 2017 by robertgg
Does the community patch for still work? That's all I care about with Gothic 3... If this patch breaks the community patch G3 becomes nothing more then a Dumpster Fire!
Post edited September 23, 2017 by Starkrun
avatar
Starkrun: Does the community patch for still work? That's all I care about with Gothic 3... If that breaks the community patch this game nothing but a Dumpster Fire!
Given that the community patch is almost a must, I would be very careful and definitely keep a backup of the old offline installer.
I can't load my savegames since this update. I strongly suspect you have upgraded from Community patch 1.74 to 1.75

Updating is usually nice, but this version change breaks savegame compatibility while giving nothing important in return.

So, how am I supposed to be able to use my saved games now?

You have rolled 1.75 back once already years ago, I suggest the same now.

Edit: My post is about Gothic 3...
Post edited September 23, 2017 by rty42
avatar
Starkrun: Does the community patch for still work? That's all I care about with Gothic 3... If this patch breaks the community patch G3 becomes nothing more then a Dumpster Fire!
The cloud saves are Galaxy-related, I am pretty sure nothing at all has been changed about the games themselves. Also, Gothic 3 already includes the Community Patch, albeit an older version. Although if rty42 is correct, now it does include the newest one.
avatar
Starkrun: Does the community patch for still work? That's all I care about with Gothic 3... If this patch breaks the community patch G3 becomes nothing more then a Dumpster Fire!
avatar
Pherim: The cloud saves are Galaxy-related, I am pretty sure nothing at all has been changed about the games themselves. Also, Gothic 3 already includes the Community Patch, albeit an older version. Although if rty42 is correct, now it does include the newest one.
I'm going to grab and confirm real quick -- activate Galaxy download Mk 3.6 Gooooooooooooooooo!

EDIT: 1.75.14 thats fantastic, i approve of this... if its incompatible use Galaxies rollback feature and turn off patching. If you dont want to then its time to make a new save. removing the 1.75 patch will be a HUGE mistake... 1.75 adds far to many QOL features we just cant loose and will only further help and inspire new players.

This was an excellent choice that needs to remain, thank you GOG!
Post edited September 23, 2017 by Starkrun
Ahhh, rollback! I wasn't aware of this possibility...

Now I can use my existing saves, thanks for the tip! :)

And I surely will be glad to have the latest patch when I will start a new game the next time.
Post edited September 23, 2017 by rty42
avatar
rty42: Ahhh, rollback! I wasn't aware of this possibility...

Now I can use my existing saves, thanks for the tip! :)

And I surely will be glad to have the latest patch when I will start a new game the next time.
Good thing you didn't install it on steam or you'd be shit outta luck!